#!/bin/bash
#
# rdweb:       Rdweb daemon
#
# Version:      @(#) /etc/init.d/rdweb 2.0
#
# chkconfig: 2345 90 10
# description: Starts and stops the rdweb daemon at boot time and shutdown.
#
# processname: Rdaemon
# hide: true

# Source function library.
export LANG=en_US.UTF-8
. /etc/init.d/functions

umask 000

prog=Rdaemon
RD_HOME=/usr/local1/rdweb
RD_PORT=10024
RD_LISTENER=any
RD_HOSTNAME="ismxc136"
export PATH=/opt/hptc/lsf/top/6.2/linux2.6-glibc2.3-x86_64-slurm/bin:$PATH

if [ "x`hostname`" != "x$RD_HOSTNAME" ] ;then
      exit 0
fi

start() {
      echo -n $"Starting $prog: "
      $RD_HOME/sbin/$prog -h $RD_LISTENER -p $RD_PORT start 
      ret=$?
      #[ $ret -eq 0 ] && touch /var/lock/subsys/rdweb
      echo
      return $ret
}	

stop() {
   echo -n $"Shutting down $prog: "
   $RD_HOME/sbin/$prog stop
   ret=$?
   #[ $ret -eq 0 ] && rm -f /var/lock/subsys/rdweb
   echo
   return $ret
}	

restart() {
   echo $"Restarting $prog:"
   stop
   start
}

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
    restart
    ;;
  *)
	echo $"Usage: $prog {start|stop|restart}"
	exit 1
esac

exit $?
